=== debian/changelog ===
gpu-burn (0+git20240115+ds-7) unstable; urgency=medium

  * Team upload.
  * Move to contrib.
  * Use nvidia-cuda-toolkit-gcc.
  * Overhaul packaging.
  * Drop redundant Rules-Requires-Root: no.
  * Add upstream metadata.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 17 Dec 2025 10:23:56 +0100

gpu-burn (0+git20240115+ds-6) unstable; urgency=medium

  * d/control:
    - add libcublas12 to Recommends. (Closes: #1108381)
    - add more to Architecture.
    - move to NVIDIA Maintainers team.
    - add XS-Autobuild: yes.
  * Bump standards version to 4.7.2.

 -- Alex Myczko <tar@debian.org>  Tue, 23 Sep 2025 08:09:29 +0200

gpu-burn (0+git20240115+ds-5) unstable; urgency=medium

  * d/rules: use gcc-12/g++-12.

 -- Alex Myczko <tar@debian.org>  Wed, 26 Feb 2025 13:00:39 +0100

gpu-burn (0+git20240115+ds-4) unstable; urgency=medium

  * d/control: drop gcc-11/g++-11 from build-depends. (Closes: #1086446)

 -- Alex Myczko <tar@debian.org>  Tue, 05 Nov 2024 09:08:05 +0100

gpu-burn (0+git20240115+ds-3) unstable; urgency=medium

  * d/control: declare library dependency. (Closes: #1071560)
  * Bump standards version to 4.7.0.
  * Patch upstream Makefile to have no RPATHs.

 -- Alex Myczko <tar@debian.org>  Wed, 29 May 2024 07:29:48 +0200

gpu-burn (0+git20240115+ds-2) unstable; urgency=medium

  * Also install compare.ptx.
  * d/control: build-depends for gcc/g++ 11.

 -- Gürkan Myczko <tar@debian.org>  Mon, 19 Feb 2024 18:47:34 +0100

gpu-burn (0+git20240115+ds-1) unstable; urgency=medium

  * Initial release. (Closes: #1060830)

 -- Gürkan Myczko <tar@debian.org>  Mon, 15 Jan 2024 07:02:11 +0100
