=== debian/control ===
Source: gpu-burn
Section: contrib/utils
Priority: optional
Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
Uploaders: Alex Myczko <tar@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 nvidia-cuda-toolkit-gcc | cuda-12-5 | cuda-12-3 | cuda-11-8 | cuda-11-6,
Standards-Version: 4.7.2
Homepage: https://github.com/wilicc/gpu-burn
Vcs-Browser: https://salsa.debian.org/debian/gpu-burn
Vcs-Git: https://salsa.debian.org/debian/gpu-burn.git

Package: gpu-burn
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
Recommends: nvidia-smi
Description: Multi-GPU CUDA stress test
 This allows one to run a stress test on your GPUs. Memory usage can
 be controlled by absolute number or percentage. Also allows one to run
 on specific GPU, useful if you have mixed multi GPU system.
